﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BlankApp1.Controls
{
    /// <summary>
    /// MyDateTimePicker.xaml 的交互逻辑
    /// </summary>
    public partial class MyDateTimePicker : UserControl
    {
        public string DateTimeString
        {
            get => TextDateTime.Text;
            set => TextDateTime.Text = value;
        }
        public string Hint
        {
            get { return TextDateTime.Tag.ToString(); }
            set => TextDateTime.Tag = value;
        }
        public MyDateTimePicker()
        {
            InitializeComponent();
        }
    
        private void MyCalendar_PreviewMouseUp(object sender, MouseButtonEventArgs e)
        {
            if (Mouse.Captured is CalendarItem)
            {
                Mouse.Capture(null);
            }
        }

        private void Btnhh_Click(object sender, RoutedEventArgs e)
        {
            Pop24.IsOpen = true;
        }

        private void Btnmm_Click(object sender, RoutedEventArgs e)
        {
            Pop60.IsOpen = true;
            Pop60.Tag = Btnmm;
        }

        private void Btnss_Click(object sender, RoutedEventArgs e)
        {
            Pop60.IsOpen = true;
            Pop60.Tag = Btnss;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button Btn = sender as Button;
            Btnhh.Content = Btn.Content;
            Pop24.IsOpen = false;

        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            Button Btn = sender as Button;
            Button BtnP = Pop60.Tag as Button;
            BtnP.Content = Btn.Content;
            Pop60.IsOpen = false;
        }

        private void BtnSave_Click(object sender, RoutedEventArgs e)
        {
            if (MyCalendar.SelectedDate == null)
            {
                MyCalendar.SelectedDate = DateTime.Now.Date;
            }
            DateTimeString = $"{MyCalendar.SelectedDate.Value:yyyy-MM-dd} {Btnhh.Content}:{Btnmm.Content}:{Btnss.Content}";
            PopDateTime.IsOpen = false;
        }

        private void BtnNow_Click(object sender, RoutedEventArgs e)
        {
            DateTime _DateTime = DateTime.Now;
            MyCalendar.SelectedDate = _DateTime.Date;
            MyCalendar.DisplayDate = (DateTime)MyCalendar.SelectedDate;
            Btnhh.Content = _DateTime.Hour.ToString();
            Btnmm.Content = _DateTime.Minute.ToString();
            Btnss.Content = _DateTime.Second.ToString();

        }
    }
}
